<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2014 Stephan Langenegger
*
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * This view helper checks the rootline for a page
 *
 * @copyright  2014 Copyright belongs to the respective authors
 * @license    http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * @package    Urd
 */
class Tx_Urd_ViewHelpers_Menu_InrootlineViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper {
	/**
	 * Initialize
	 *
	 * @return void
	 */
	public function initializeArguments() {
		$this->registerArgument("rootUid", "integer", "The root uid", true);
		$this->registerArgument("pageUid", "integer", "The page uid", false, null);
	}

	/**
	 * Gets the breadcrumb array
	 *
	 * @return boolean In rootline or not
	 */
	public function render() {
		// Set pageUid to the current TSFE id
		if(is_null($this->arguments["pageUid"])) {
			$this->arguments["pageUid"]		= $GLOBALS["TSFE"]->id;
		}

		// Create instances
		$oPageSelect						= new \TYPO3\CMS\Frontend\Page\PageRepository();

		// Check hidden pages too
		$oPageSelect->init(true);

		// Get rootline
		$aRootLine							= $oPageSelect->getRootLine($this->arguments["pageUid"]);

		$bIsInRootLine						= false;

		foreach($aRootLine as $aPage) {
			if($aPage["uid"] == $this->arguments["rootUid"]) {
				$bIsInRootLine				= true;
				break;
			}
		}

		return $bIsInRootLine;
	}
}
?>