<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2014 Stephan Langenegger
*
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * This view helper sets a variable within a fluid template
 *
 * @copyright  2014 Copyright belongs to the respective authors
 * @license    http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * @package    Urd
 */
class Tx_Urd_ViewHelpers_SetViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper {
	/**
	 * Initialize
	 *
	 * @return void
	 */
	public function initializeArguments() {
		$this->registerArgument("var", "string", "Variable name", true);
		$this->registerArgument("value", "mixed", "Variable value", true);
		$this->registerArgument("overwrite", "boolean", "verwrite existing variable", false, true);
	}

	/**
	 * Add a new variable
	 *
	 * @return 	void
	 */
	public function render() {
		// Remove old variable if already exists
		if($this->templateVariableContainer->exists($this->arguments["var"]) && $this->arguments["overwrite"]) {
			$this->templateVariableContainer->remove($this->arguments["var"]);
		}

		$this->templateVariableContainer->add($this->arguments["var"], $this->arguments["value"]);
	}
}

?>