<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2014 Stephan Langenegger
*
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * This view helper gets the type of a typolink.
 *
 * @copyright  2014 Copyright belongs to the respective authors
 * @license    http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class Tx_Urd_ViewHelpers_Typolink_TypeViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper {
	/**
	 * Gets the type of a typolink
	 *
	 * @param string $parameter Parameter string, which can be handled by typolink functionality
	 * @return string Link type
	 */
	public function render($link) {
		$aParams		= explode(" ", $link);
		$sUrl			= $aParams[0];

		if(is_numeric($sUrl)) {
			$sLinkType	= "page";
		} elseif(preg_match("[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?", $sUrl) !== false) {
			$sLinkType	= "email";
		} elseif(count(explode(":", $sUrl)) == 3 && strpos($sUrl, "http") !== 0) {
			$sLinkType	= "folder";
		} elseif(count(explode(":", $sUrl)) == 2 && strpos($sUrl, "http") !== 0) {
			$sLinkType	= "file";
		} else {
			$sLinkType	= "extern";
		}

		return $sLinkType;
	}
}
?>